#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>

int main()
{
    char T[200000],S[200000],c;
    long int N;
    int M,i,j;
    gets(T);
    gets(S);
    N=strlen(T);
    M=strlen(S);
    int brsl[M];
    for(i=0;i<M;i++) brsl[i]=0;
    for(i=0;i<M;i++)
        for(j=0;j<N;j++)
    {
        if(S[i]==tolower(T[j]))
            brsl[i]++;
    }
    int min;
    min=brsl[0];
    for(i=1;i<M;i++)
    {
        if(brsl[i]<min)
        {
            min=brsl[i];
            c=S[i];
        }
    }
    printf("%d\n",min);
    for(i=0;i<N;i++)
    {
        if(T[i]==c)
            T[i]='*';
    }
    puts(T);
    return 0;
}